#header-bar {
    margin-top:12px;
    margin-bottom: 36px;
}

.header-bar-container {
    width: 100%;
    background: #f6f8fa;
    border-bottom: 1.5px solid #eaecef;
    padding: 4px 0;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    border-radius: 50px;
}

.header-bar-logo {
    height: 26px;
    scale: 3.5;
    margin-left: 16px;
    margin-right: 32px;
} 

.header-bar-content {
    display: flex;
    align-items: center;
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 8px 0 0;
}

.header-bar-left {
    padding: 4px 0;
}

.header-bar-left,
.header-bar-center,
.header-bar-right {
    flex: 1;
    display: flex;
    align-items: center;
} 

.header-bar-center {
    justify-content: center;
    text-align: center;
}

.header-bar-icon:hover {
    color: #365A92;
}

.header-bar-title {
    font-size: 22px;
    font-weight: 500;
    color: #5D84C1;
}

.header-bar-sub-title {
    font-size: 22px;
    font-weight: 500;
    color: #696969;
}

.header-bar-separator {
    font-size: 22px;
    font-weight: 500;
    color: rgb(150, 150, 150);
    margin: 0 16px;
}

.header-bar-right {
    justify-content: flex-end;
}

.header-bar-icons {
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-bar-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    font-weight: 400;
    color: rgb(150, 150, 150);
    margin: 0 8px;
    background-color: #FFF;
    border-radius: 50%;
    width: 52px;
    height: 52px;
    cursor: pointer;
    transition: background 0.2s, color 0.2s;
    border: none;
    outline: none;
}

.header-bar-icon i {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    color: #5D84C1;
}

.header-bar-icon:hover {
    background-color: #365A92;
    color: #fff;
}

.header-bar-icon:hover i {
    color: #fff;
}

.header-bar-icon img[data-ext="svg"]:hover {
    filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(288deg) brightness(100%) contrast(100%);
}

.header-bar-icon {
    border: 2px solid transparent;
}

.header-bar-icon.word-tooltips-active {
    border: 1px solid #365A92;
}

.header-bar-icon.ai-active {
    background-color: #365A92;
}

.header-bar-icon.ai-active img[data-ext="svg"] {
    filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(288deg) brightness(100%) contrast(100%);
}
